Bug 1417794 - [Regression]C&U graphs don't get grouped by tags
Summary: [Regression]C&U graphs don't get grouped by tags
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: Robin Knaur
QA Contact: Nandini Chandra
URL:
Whiteboard: c&u:ui:tag
Depends On:
Blocks: 1426628
TreeView+ depends on / blocked
 
Reported: 2017-01-31 03:58 UTC by Nandini Chandra
Modified: 2017-06-12 17:05 UTC (History)
10 users (show)

Fixed In Version: 5.8.0.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1426628 (view as bug list)
Environment:
Last Closed: 2017-06-12 17:05:48 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
screen shot of 571 graph where grouping by tag doesn't work (68.89 KB, image/png)
2017-02-06 17:53 UTC, Nandini Chandra
no flags Details
screen shot of 5.6.4 C&U graph where grouping by tag works (42.90 KB, image/png)
2017-02-06 17:54 UTC, Nandini Chandra
no flags Details

Description Nandini Chandra 2017-01-31 03:58:03 UTC
Description of problem:
-----------------------
C&U graphs don't get grouped by tags anymore in 5.7.1.This used to work in 
5.7 GA.


Version-Release number of selected component (if applicable):
-------------------------------------------
5.7.1


How reproducible:
-----------------
Always


Steps to Reproduce:
-------------------
1.Manage a provider.Enable C&U collection for the provider.
2.Navigate to the Configuration -> Settings page; Click 'My Company' Categories'. Enable C&U data capture for a category.
3.Tag a few VMs with that category.
4.Navigate to the VM's host summary page.
5.In the 'Group by' drop down,select the category for which C&U data capture has been enabled.


Actual results:
---------------
C&U graphs don't get grouped by tags.


Expected results:
----------------
C&U graphs should get grouped by tags.


Additional info:
----------------

Comment 2 Nandini Chandra 2017-01-31 04:00:46 UTC
Tested Cluster C&U graphs and tried grouping the graphs by 1)Host category, 2)VM category.The cluster graphs didn't get grouped by tags either.

Comment 3 Robin Knaur 2017-02-06 14:58:38 UTC
Could you please give me some environment where this is working? I tried few older versions, but wasn't able to make it work anywhere.

Comment 5 Nandini Chandra 2017-02-06 17:45:48 UTC
Appliance from comment # 4 is a 5.7.1 appliance and issue has been reproduced there and the C&U graphs don't get grouped by tags.

Comment 6 Nandini Chandra 2017-02-06 17:52:37 UTC
I have attached screen shots of C&U graphs from a 5.7.1 appliance where grouping by tag doesn't work and a 5.6 appliance where grouping by tag works.

Comment 7 Nandini Chandra 2017-02-06 17:53:21 UTC
Created attachment 1248102 [details]
screen shot of 571 graph where grouping by tag doesn't work

Comment 8 Nandini Chandra 2017-02-06 17:54:48 UTC
Created attachment 1248104 [details]
screen shot of 5.6.4 C&U graph where grouping by tag works

Comment 13 Robin Knaur 2017-02-13 09:07:05 UTC
Ehm, yep, this is the PR https://github.com/ManageIQ/manageiq-ui-classic/pull/335/

Comment 15 Nandini Chandra 2017-03-06 23:18:04 UTC
Verified in 5.8.0.3


Note You need to log in before you can comment on or make changes to this bug.